integer-gmp-0.4.0.0: Integer library based on GMP

Safe Haskell | None

GHC.Integer.GMP.Internals

Synopsis

- data Integer
  - = S# Int#
  - | J# Int# ByteArray#
- gcdInteger :: Integer -> Integer -> Integer
- lcmInteger :: Integer -> Integer -> Integer

# Documentation

data Integer

Arbitrary-precision integers.

Constructors

S# Int# |
J# Int# ByteArray# |

Instances

Eq Integer |
Ord Integer |

gcdInteger :: Integer -> Integer -> Integer

lcmInteger :: Integer -> Integer -> Integer